Skip to main content
O&M Management/Monitoring APIs/Monitoring and Alarm APIs/Alarm Text Template (Text Template)
GETAlarm Text Template (Text Template)Since 2.3SynchronousAuth Required

Query Alarm Message Template

Query Alarm Message Template

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

This API requires no request parameters.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation failed. This field is null on success. See error

    • codeStringRequired

      The error code number. A globally unique identifier for the error, such as SYS.1000, HOST.1001

    • descriptionStringRequired

      A brief description of the error

    • detailsStringRequired

      The detailed error information

    • elaborationStringRequired

      Reserved field. Default is null

    • opaqueLinkedHashMapRequired

      Reserved field. Default is null

    • causeErrorCodeRequired

      The root error. The source error that caused the current error. This field is null if there is no root error

  • inventoriesListRequired

    See inventories

    • uuidStringRequired

      The UUID of the resource. Uniquely identifies the resource

    • nameStringRequired

      The resource name

    • descriptionStringRequired

      The detailed description of the resource

    • applicationPlatformTypeStringRequired

      The application platform type

    • templateStringRequired

      The template text

    • defaultTemplateBooleanRequired

      Whether it is the default template

    • createDateTimestampRequired

      The creation time

    • lastOpDateTimestampRequired

      The last modification time

Endpoint

GET/zstack/v1/zwatch/alarms/sns/text-templates

/zstack/v1/zwatch/alarms/sns/text-templates

Operation ID

QuerySNSTextTemplate

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/zwatch/alarms/sns/text-templates' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "uuid": "c275ce35fae13a09bcd4c54a7406bd3e", "name": "Test-SNS-Template", "description": "sns text template", "applicationPlatformType": "Email", "template": "报警器 ${ALARM_NAME} 状态改变成 ${ALARM_CURRENT_STATUS}", "defaultTemplate": false, "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM" } ] }

Change History

This API has no change history records yet.

View all change history